package scan.di.uoa.gr.exampleappsoftdev;

import android.os.AsyncTask;
import android.util.Log;

import org.springframework.http.converter.json.MappingJackson2HttpMessageConverter;
import org.springframework.web.client.RestTemplate;

/**
 * Created by nikolas on 29/12/15.
 */

public class HttpRequestTask extends AsyncTask<Void, Void, Void> {
    @Override
    public Void doInBackground(Void... params) {
        try {
            // 10.0.2.2 for emulator
            // localhost for real device
            final String url = "http://10.0.2.2:8080/myapp/music/get";
            RestTemplate restTemplate = new RestTemplate();
            restTemplate.getMessageConverters().add(new MappingJackson2HttpMessageConverter());
            MyResult res = restTemplate.getForObject(url, MyResult.class);

            Log.i("HttpRequestTask " , "Results: " + res.getName());
        } catch (Exception e) {
            Log.e("HttpRequestTask", e.getMessage(), e);
        }

        return null;
    }
}